Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mindbright.asn1
Class ASN1Choice

    java.lang.Object
      com.mindbright.asn1.ASN1Object
          com.mindbright.asn1.ASN1DynamicType
              com.mindbright.asn1.ASN1Choice

Direct Known Subclasses:
  ASN1Any, DirectoryString, RecipientInfos, Time

public class ASN1Choice
extends ASN1DynamicType

Field Summary
`protected java.util.Hashtable` | `members`

Fields inherited from class com.mindbright.asn1.ASN1DynamicType
`value`

Fields inherited from class com.mindbright.asn1.ASN1Object
`isSet, tag`

Constructor Summary
`ASN1Choice()`

Method Summary
`protected ASN1Object` | `bindType(int tag)`
`java.lang.Object` | `getMember(int tag)`
`protected java.lang.Object` | `memberMapping(int tag)`
`void` | `setMember(ASN1Object value)`
`void` | `setMember(int id, ASN1Object value)`
`void` | `setMember(int id, java.lang.Class ofType)`

Methods inherited from class com.mindbright.asn1.ASN1DynamicType
`decodeValue, encodeValue, getType, getValue, setValue, setValue`

Methods inherited from class com.mindbright.asn1.ASN1Object
`decodeValue, getTag, isSet`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### members

    protected java.util.Hashtable members

Constructor Detail

### ASN1Choice

    public ASN1Choice()

Method Detail

### setMember

    public final void setMember(int id,
                                java.lang.Class ofType)

### setMember

    public final void setMember(int id,
                                ASN1Object value)

### setMember

    public final void setMember(ASN1Object value)

### getMember

    public final java.lang.Object getMember(int tag)

### bindType

    protected ASN1Object bindType(int tag)
                           throws java.io.IOException

  Specified by:
    `bindType` in class `ASN1DynamicType`
  Throws:
    `java.io.IOException`

### memberMapping

    protected java.lang.Object memberMapping(int tag)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD